2002-11-09 Jim Meyering <jim@meyering.net>
+ Make install-sh work even when names contain spaces or
+ certain (but not all) shell metachars.
+
+ * lib/install-sh: Remove lots of unnecessary quoting.
+ Add double quotes where necessary.
+ Write diagnostics to stderr, not stdout.
+ Normalize spacing in diagnostics: use one space (not two,
+ and not a TAB) after the leading `install:'.
+ Remove trailing white space.
+ Remove unnecessary curly braces.
+ If removing the destination fails, also try to move it aside.
+ Use `trap' more portably.
+ * tests/installsh2.test: New file, to test for the above fix.
+ * tests/Makefile.am (TESTS): Add installsh2.test.
+
* automake.texi: Fix some typos and a grammar nit.
2002-11-07 Alexandre Duret-Lutz <adl@gnu.org>
--- /dev/null
+#! /bin/sh
+# Copyright (C) 2002 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Ensure that install-sh works with names that include spaces
+
+. ./defs || exit 1
+
+touch 'a b'
+mkdir 'x y' || exit 1
+/bin/sh install-sh 'a b' 'x y' || exit 1
+test -f x\ y/a\ b